Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
DocIdSetIterator.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::DocIdSetIterator
| This abstract class defines methods to iterate over a set of non-decreasing doc ids. Note that this class assumes it iterates on doc Ids, and therefore NO_MORE_DOCS is set to { NO_MORE_DOCS} in order to be used as a sentinel object. Implementations of this class are expected to consider INT_MAX as an invalid value. More...

## Namespaces

| Lucene

clucene.sourceforge.net